Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2757493002: User orientation lock (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by oshima
Modified:
4 months ago
CC:
chromium-reviews, mlamouri+watch-screen-orientation_chromium.org, kalyank, sadrul
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

User orientation lock * Added user locked orientation. Once it's locked, the orientation will be used as a preferred orientation. - If the active appilcation's orientation is any, the user locked orientation will be used. - If the active appilcation's orientation is specified, the user locked orientation will be ignored and uses the application's orientation. * Exclude windows that does not have AppType because they do not control orientation into account. For example, task manager, app list shouldn't affect orientation. * added ScreenOrientationControllerTestApi Next steps: - landscape / portrait app should lock to secondary/primary. - remember and restore the locked state. - handle rotation change from chrome.system.display api. - Add portrait/landscape lock icon and make UI consistent with Android rotation lock UI. BUG=683456 TEST=manual, unitt tests Review-Url: https://codereview.chromium.org/2757493002 Cr-Commit-Position: refs/heads/master@{#459291} Committed: https://chromium.googlesource.com/chromium/src/+/a5176fd790a6ccc800274a4135dbdc7476deac88

Patch Set 1 : . #

Total comments: 16

Patch Set 2 : rebase #

Patch Set 3 : rebase again #

Unified diffs Side-by-side diffs Delta from patch set Stats (+427 lines, -105 lines) Patch
M ash/content/display/screen_orientation_controller_chromeos_unittest.cc View 1 22 chunks +176 lines, -32 lines 0 comments Download
M ash/display/screen_orientation_controller_chromeos.h View 5 chunks +27 lines, -10 lines 0 comments Download
M ash/display/screen_orientation_controller_chromeos.cc View 1 2 9 chunks +117 lines, -40 lines 0 comments Download
M ash/system/chromeos/rotation/tray_rotation_lock.h View 1 chunk +1 line, -1 line 0 comments Download
M ash/system/chromeos/rotation/tray_rotation_lock.cc View 1 8 chunks +13 lines, -12 lines 0 comments Download
M ash/system/chromeos/rotation/tray_rotation_lock_unittest.cc View 1 3 chunks +9 lines, -6 lines 0 comments Download
M ash/test/BUILD.gn View 1 2 chunks +3 lines, -0 lines 0 comments Download
M ash/test/DEPS View 1 chunk +3 lines, -0 lines 0 comments Download
A ash/test/screen_orientation_controller_test_api.h View 1 chunk +38 lines, -0 lines 0 comments Download
A ash/test/screen_orientation_controller_test_api.cc View 1 chunk +32 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/display/display_preferences_unittest.cc View 1 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/browser/extensions/display_info_provider_chromeos_unittest.cc View 1 2 chunks +5 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 63 (49 generated)
oshima
https://codereview.chromium.org/2757493002/diff/220001/ash/display/screen_orientation_controller_chromeos.h File ash/display/screen_orientation_controller_chromeos.h (right): https://codereview.chromium.org/2757493002/diff/220001/ash/display/screen_orientation_controller_chromeos.h#newcode80 ash/display/screen_orientation_controller_chromeos.h:80: void ToggleUserRotationLock(); I'm using toggle instead of SetUserRotationLock to ...
4 months, 1 week ago (2017-03-21 07:11:53 UTC) #34
jonross
https://codereview.chromium.org/2757493002/diff/220001/ash/display/screen_orientation_controller_chromeos.cc File ash/display/screen_orientation_controller_chromeos.cc (left): https://codereview.chromium.org/2757493002/diff/220001/ash/display/screen_orientation_controller_chromeos.cc#oldcode142 ash/display/screen_orientation_controller_chromeos.cc:142: Shell::GetInstance()->display_manager()->RegisterDisplayRotationProperties( Were you planning to land this in a ...
4 months, 1 week ago (2017-03-21 14:56:44 UTC) #36
oshima
https://codereview.chromium.org/2757493002/diff/220001/ash/display/screen_orientation_controller_chromeos.cc File ash/display/screen_orientation_controller_chromeos.cc (left): https://codereview.chromium.org/2757493002/diff/220001/ash/display/screen_orientation_controller_chromeos.cc#oldcode142 ash/display/screen_orientation_controller_chromeos.cc:142: Shell::GetInstance()->display_manager()->RegisterDisplayRotationProperties( On 2017/03/21 14:56:43, jonross wrote: > Were you ...
4 months, 1 week ago (2017-03-21 15:10:57 UTC) #38
oshima
ping?
4 months ago (2017-03-22 23:17:35 UTC) #40
jonross
On 2017/03/22 23:17:35, oshima wrote: > ping? Sorry I somehow missed the replies you sent ...
4 months ago (2017-03-22 23:51:46 UTC) #41
jonross
https://codereview.chromium.org/2757493002/diff/220001/ash/display/screen_orientation_controller_chromeos.cc File ash/display/screen_orientation_controller_chromeos.cc (left): https://codereview.chromium.org/2757493002/diff/220001/ash/display/screen_orientation_controller_chromeos.cc#oldcode142 ash/display/screen_orientation_controller_chromeos.cc:142: Shell::GetInstance()->display_manager()->RegisterDisplayRotationProperties( On 2017/03/21 15:10:57, oshima wrote: > On 2017/03/21 ...
4 months ago (2017-03-22 23:51:56 UTC) #42
oshima
benwells@ -> chrome/browser/extensions mlamouri@chromium.org -> ash/test/DEPS
4 months ago (2017-03-23 00:25:51 UTC) #44
benwells
c/b/e lgtm
4 months ago (2017-03-23 04:31:05 UTC) #46
mlamouri (slow - plz ping)
On 2017/03/23 at 04:31:05, benwells wrote: > c/b/e lgtm ash/test/deps lgtm
4 months ago (2017-03-23 19:56:18 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757493002/260001
4 months ago (2017-03-23 20:07:48 UTC) #52
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_daisy_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_daisy_chromium_compile_only_ng/builds/305030) linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
4 months ago (2017-03-23 20:23:52 UTC) #54
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757493002/260001
4 months ago (2017-03-23 21:13:57 UTC) #56
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757493002/280001
4 months ago (2017-03-23 21:23:17 UTC) #60
commit-bot: I haz the power
4 months ago (2017-03-24 00:10:45 UTC) #63
Message was sent while issue was closed.
Committed patchset #3 (id:280001) as
https://chromium.googlesource.com/chromium/src/+/a5176fd790a6ccc800274a4135db...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973